"""
Luna API backport platform 4 client realisation.
"""

from luna3.lunavl.mixins import BaseLunaHttpClient, LivenessMixin

from .mixins import (
    AccountsMixin,
    AttributesMixin,
    EventsMixin,
    FacesMixin,
    HandlersMixin,
    ListsMixin,
    MatcherMixin,
    SamplesMixin,
    TasksMixin,
    WSMixin,
)


class LunaHttpClient(
    BaseLunaHttpClient,
    SamplesMixin,
    AttributesMixin,
    FacesMixin,
    ListsMixin,
    EventsMixin,
    HandlersMixin,
    MatcherMixin,
    TasksMixin,
    LivenessMixin,
    WSMixin,
    AccountsMixin,
):
    """
    Luna API backport platform 4 client.
    """
